package com.qmth.boot.core.ai.model.llm.score;

import org.springframework.validation.annotation.Validated;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * 自动评分的标答
 */
@Validated
public class StandardAnswer implements Serializable {

    private static final long serialVersionUID = -7828827674930886434L;

    @NotNull(message = "标答不能为空")
    private String content;

    /**
     * 按得分点-分值
     */
    private double score;

    /**
     * 按档次-最低分值
     */
    private double lowScore;

    /**
     * 按档次-最高分值
     */
    private double highScore;

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public double getScore() {
        return score;
    }

    public void setScore(double score) {
        this.score = score;
    }

    public double getLowScore() {
        return lowScore;
    }

    public void setLowScore(double lowScore) {
        this.lowScore = lowScore;
    }

    public double getHighScore() {
        return highScore;
    }

    public void setHighScore(double highScore) {
        this.highScore = highScore;
    }

}
